#include <OneWire.h>
#include <DallasTemperature.h>
// Data wire is plugged into pin 19 on the Arduino
#define ONE_WIRE_BUS 19
#define TRIGGER 23
#define ECHO 34
#define FEUCHTE 15
long dauer=0;
long entfernung=0;

// Setup a OneWire instance to communicate with any OneWire devices
OneWire oneWire(ONE_WIRE_BUS);

// Pass OneWire reference to Dallas Temperature
DallasTemperature sensors(&oneWire);

void setup() {
  Serial.begin(115200);
  sensors.begin();
  pinMode(TRIGGER, OUTPUT);
  pinMode(ECHO, INPUT);
  pinMode(FEUCHTE, INPUT);

}

void loop() {
  sensors.requestTemperatures();
  Serial.println("Temperature is: " + String(sensors.getTempCByIndex(0)) + "°C");
  digitalWrite(TRIGGER, LOW);
  delayMicroseconds(2);
  digitalWrite(TRIGGER, HIGH);
  delayMicroseconds(10);
  digitalWrite(TRIGGER, LOW);
  dauer = pulseIn(ECHO, HIGH);
  entfernung = (dauer/2)/29.1;
  Serial.print(entfernung);
  Serial.println(" cm");
  int humidity = analogRead(FEUCHTE);
  Serial.print("Feuchte:");
  Serial.println(humidity);
  delay(1000);

}
